ArcGIS Pro 2.8 fails to Clone Default Environment

915
27
06-11-2021 12:00 PM
Labels (1)
JoeBorgione
MVP Esteemed Contributor

How do you know when I upgrade Pro to a new version?  I post a new thread on creating a clone...

I tried to clone the default to my 'clones' directory and that fails. I try to clone the default using the ArcGIS Pro path, and that fails.

I try to do a conda install in the default env of spyder and that fails

I try to do a pip install of spyder in the default env and that fails.

Oh my... This sounds more like a rant than a question...

Good thing it's Friday.

 

can't wait to retire....
27 Replies
AshleyPatterson1
New Contributor II

Having the same issues- Thanks for posting!

TGIF... AMIRITE 

JoeBorgione
MVP Esteemed Contributor

Thanks @AshleyPatterson1 ; while I'm sorry you are having the same problem I'm thankful it's not just me being a cement head...

can't wait to retire....
0 Kudos
AshleyPatterson1
New Contributor II

That is a lovely mantra lol.  Thanks for taking me along on your troubleshooting journey - Have a great weekend!

 

 

0 Kudos
DanPatterson
MVP Honored Contributor

Clean install from the *.msi after toasting all vestiges of esri folders, then start from there, is my usual 😉

 


... sort of retired...
JoeBorgione
MVP Esteemed Contributor

So don't do an 'upgrade' but rather a complete install?

can't wait to retire....
DanPatterson
MVP Honored Contributor

That is what I do for every x.1 to x.2 .  House cleaning is good and it takes less time.  IF you have a laptop, you can even do it from a beverage patio on a Friday 😉

 


... sort of retired...
JoeBorgione
MVP Esteemed Contributor

This is for my desktop at the office, so no patio beverages. (Although I am remotely logged in to it from home...   🍻

can't wait to retire....
0 Kudos
JoeBorgione
MVP Esteemed Contributor

Sigh... After an uninstall and install of 2.8, same thing...

JoeBorgione_0-1623443808623.png

Have a nice weekend!

can't wait to retire....
0 Kudos
DanPatterson
MVP Honored Contributor

cloning your clone won't work, you will need to update all your packages.  If you want to do this you should do this through conda.  You can create an environment with the packages you need and they will be up to date  (see conda create and create from a yaml )

Managing environments — conda 4.6.1 documentation

has lots of weekend reading.


... sort of retired...
0 Kudos